Subject: Re: [PATCH 04/15] phy: mvebu-cp110-comphy: Add RXAUI support

From: Miquel Raynal <[email-masked]>
Date: Tue, 2 Apr 2019 14:24:13 +0200

Hi Maxime,

Maxime Chevallier <[email-masked]> wrote on Tue, 2 Apr
2019 10:43:49 +0200:

> Hi Miquel,
> 
> On Mon,  1 Apr 2019 18:51:20 +0200
> Miquel Raynal <[email-masked]> wrote:
> 
> >Add support for RXAUI mode by adding an entry in the COMPHY modes list.
> >
> >There is nothing more to handle besides avoiding to return an error to
> >the caller: someone using a DT updated with the right 'phys' property
> >with an old firmware would get an error when initializing the lanes in
> >RXAUI mode, while it could have already been initialized by eg. the
> >bootloader. It would prevent the interface to work with no reason.  
> 
> However, this would mask-away errors that could occur when we have a
> correct firmware and DT.
> 
> Maybe we should simply return the error, this mode isn't supported in
> PPv2 yet so I don't expect this to break any existing setups.

I am fine with this approach too. I think this is acceptable for RXAUI
but not for the other SATA/USB3/PCIe modes which already work because
of U-Boot configuration (while RXAUI seems to not be configured
anyway).

Thanks,
Miquèl

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel